[SA16170] MySQL Multiple Vulnerabilities

2005-07-22T00:00:00
ID SECURITYVULNS:DOC:9272
Type securityvulns
Reporter Securityvulns
Modified 2005-07-22T00:00:00

Description


Bist Du interessiert an einem neuen Job in IT-Sicherheit?

Secunia hat zwei freie Stellen als Junior und Senior Spezialist in IT- Sicherheit: http://secunia.com/secunia_vacancies/


TITLE: MySQL Multiple Vulnerabilities

SECUNIA ADVISORY ID: SA16170

VERIFY ADVISORY: http://secunia.com/advisories/16170/

CRITICAL: Highly critical

IMPACT: DoS, System access

WHERE: >From remote

SOFTWARE: MySQL 4.x http://secunia.com/product/404/

DESCRIPTION: Some vulnerabilities have been reported in MySQL, which can be exploited by malicious users to cause a DoS (Denial of Service), or potentially by malicious people to execute arbitrary code.

1) MySQL uses a vulnerable version of the zlib library.

For more information: SA15949

2) It is possible for malicious users to crash the server in various ways. See the vendor advisory for details.

SOLUTION: Update to version 4.1.13.

PROVIDED AND/OR DISCOVERED BY: Reported by vendor.

ORIGINAL ADVISORY: http://dev.mysql.com/doc/mysql/en/news-4-1-13.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.